//
//  ReadCSV.m
//  XuniStockCSViOS
//
//  Created by kelley.ricker on 12/1/15.
//  Copyright © 2015 GrapeCity. All rights reserved.
//

#import "ReadCSV.h"
#import "StockData.h"
@implementation ReadCSV

+(NSMutableArray *) read: (NSString *)fileContents{
    
    NSMutableArray *array = [[NSMutableArray alloc] init];
    
    NSArray *lines = [fileContents componentsSeparatedByString:@"\r\n"];
    NSDateFormatter *dateFormatter = [[NSDateFormatter alloc] init];
    [dateFormatter setDateFormat:@"dd-MMM-yyyy"];
    NSNumberFormatter *numberFormatter = [[NSNumberFormatter alloc] init];
    numberFormatter.numberStyle = NSNumberFormatterDecimalStyle;
    
    for (int i = 0; i < lines.count -1; i++) {
        StockData *finance = [[StockData alloc] init];
        NSArray *strings = [lines[i] componentsSeparatedByString:@","];
        finance.ticker = (NSString *)strings[0];
        finance.date = [dateFormatter dateFromString:strings[1]];
        finance.open = [numberFormatter numberFromString:strings[2]];
        finance.high = [numberFormatter numberFromString:strings[3]];
        finance.low = [numberFormatter numberFromString:strings[4]];
        finance.close = [numberFormatter numberFromString:strings[5]];
        finance.volume = [numberFormatter numberFromString:strings[6]];
        [array addObject:finance];
    }
    return array;
}

@end
