//
//  ViewController.m
//  XuniStockCSViOS
//
//  Created by kelley.ricker on 11/20/15.
//  Copyright © 2015 GrapeCity. All rights reserved.
//
#import "XuniFlexGridKit/XuniFlexGridKit.h"
#import "StockData.h"
#import "ViewController.h"
#import "SaveCSV.h"
#import "ReadCSV.h"
@interface ViewController (){
    FlexGrid *grid;
    UIButton *saveButton;
}

@end

@implementation ViewController

- (void)viewDidLoad {
    [super viewDidLoad];
    // Do any additional setup after loading the view, typically from a nib.
    self.edgesForExtendedLayout = UIRectEdgeNone;
    self.title = @"Xuni Stock CSV";
    grid = [[FlexGrid alloc] init];
    saveButton = [[UIButton alloc] init];
    
    NSArray *paths = NSSearchPathForDirectoriesInDomains(NSDocumentDirectory, NSUserDomainMask, YES);
    NSString *documentsDirectory = [paths objectAtIndex:0];
    
    NSString *pathDocs =  [documentsDirectory stringByAppendingPathComponent:@"stock.csv"];
    NSString *fileContents;
    if ([[NSFileManager defaultManager] fileExistsAtPath:pathDocs])
    {
        fileContents = [[NSString alloc] initWithContentsOfFile:pathDocs encoding:NSUTF8StringEncoding error:NULL];
    }
    else{
        NSString *pathBundle = [[NSBundle mainBundle] pathForResource:@"stock" ofType:@"csv"];
        fileContents = [NSString stringWithContentsOfFile:pathBundle encoding:NSUTF8StringEncoding error:nil];
    }
    
    grid.itemsSource = [ReadCSV read:fileContents];
    
    saveButton = [UIButton buttonWithType:UIButtonTypeSystem];
    [saveButton  setTitle:@"Save CSV" forState:UIControlStateNormal];
    [saveButton addTarget:self action:@selector(saveButtonClicked) forControlEvents:UIControlEventTouchUpInside];
    [saveButton.titleLabel setTextAlignment:NSTextAlignmentCenter];
    
    
    [self.view addSubview:grid];
    [self.view addSubview:saveButton];
}

- (void)didReceiveMemoryWarning {
    [super didReceiveMemoryWarning];
    // Dispose of any resources that can be recreated.
}
- (void)viewDidLayoutSubviews{
    grid.frame = CGRectMake(0, 0, self.view.bounds.size.width, self.view.bounds.size.height - 50);
    saveButton.frame = CGRectMake(0, self.view.bounds.size.height - 50, self.view.bounds.size.width, 50);
}
- (void)saveButtonClicked{
    NSError *error = [SaveCSV save:grid.itemsSource];
    NSString *message;
    NSString *title;
    
    if (!error) {
        title = @"Succes";
        message = @"CSV saved succesfully";
    }
    else {
        title = @"Failure";
        message = [error description];
    }
    UIAlertView *alert = [[UIAlertView alloc] initWithTitle:title message:message delegate:nil cancelButtonTitle:@"OK" otherButtonTitles:nil];
    [alert show];
}
@end
